var express = require('express');
var app = express();
var socketIO = require('socket.io');

var bodyParser = require('body-parser');

//var text = "none";
var text_all = "none";

var name0="name";
var id0="id";
var date00="kind,val,unit,min,max,etc";
var time0="time";
var memo0="memo";

app.set('port', (process.env.PORT || 5000));
app.set('view engine', 'ejs');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

app.get('/', function(req, res){
  res.render('index', 
	{
//		text: text,
	});
});

var io = socketIO.listen(app.listen(app.get('port')));

io.configure(function () {
    io.set("transports", ["xhr-polling"]); 
    io.set("polling duration", 10); 
});

io.sockets.on('connection', function (socket) {
        console.log('Connection：'+ socket.id);
        socket.on('sendData', function(message){
            console.log('Received');
            console.log(message);

            io.sockets.emit('returnData', message);
        });

         socket.on("disconnect", function () {
             console.log('Disconnect：' + socket.id);
  
             io.sockets.emit("message", {"value":"user disconnected"});
         });
});

app.post('/series', function(req, res) {
	console.log('post:/series');

//	text = req.body.text;
	name0 = req.body.name0;
	id0 = req.body.id0;
	data00 = req.body.data00;
	time0 = req.body.time0;
	memo0 = req.body.memo0;

	text_all = JSON.stringify(
		[
//			{text: text},
			{name0: name0,
			id0: id0,
			data00: data00,
			time0: time0,
			memo0: memo0}
		]
	);

	io.sockets.emit('returnData', text_all);
	res.send("Received\n");
});
